%global     snapdate         20120812
%global     glfw_revision    a9ed5b1
%global     alphatag         %{snapdate}git%{glfw_revision}

# The source for this package was pulled from upstream's git.
# Use the following commands to generate the tarball:
# git clone git://github.com/elmindreda/glfw.git
# cd glfw; 
# git rev-parse --short HEAD            -> for glfw_revision
# git checkout %%glfw_rev 
# git archive --prefix=glfw-%%{alphatag}/ HEAD --format=tar | xz > ../glfw-%%{alphatag}.tar.xz
Name:           glfw
Version:        3.0
Release:        0.7.%{alphatag}%{?dist}
Summary:        A cross-platform multimedia library
Summary(fr):    Une bibliothèque multimédia multi-plateforme
License:        zlib
URL:            http://www.glfw.org/index.html
Source0:        %{name}-%{alphatag}.tar.xz
BuildRequires:  libX11, mesa-libGL, mesa-libGLU, texlive-latex, cmake

%description
GLFW is a free, Open Source, multi-platform library for OpenGL application 
development that provides a powerful API for handling operating system specific 
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and 
time input, creating threads, and more.

%description -l fr_FR
GLFW est un logiciel gratuit, Open Source, multi-plate-forme de bibliothèque 
pour l'application OpenGL développement qui fournit une API puissante pour la 
manipulation du système d'exploitation spécifique des tâches telles que 
l'ouverture d'une fenêtre OpenGL, la lecture du clavier, souris, joystick et 
entrée du temps, les discussions de créer, et plus encore.


%package        devel
Summary:        Support for developing C application
Summary(fr):    Appui pour le développement d'application C
Requires:       %{name}%{?_isa} =  %{version}-%{release}
Requires:       xorg-x11-proto-devel
Requires:       pkgconfig
BuildRequires:  libX11-devel, mesa-libGL-devel, mesa-libGLU-devel, geany

%description devel
The glfw-devel package contains header files for developing glfw
applications.

%description devel -l fr_FR
Le paquet glfw-devel contient les fichiers d'entêtes pour développer
des applications utilisant glfw.

%prep
%setup -q -n %{name}-%{alphatag}
find . -type f | xargs sed -i 's/\r//'

# temp geany config directory for allow geany to generate tags
mkdir -p geany_config

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} .
make %{?_smp_mflags} all
# generate geany tags
geany -c geany_config -g glfw.c.tags $(find src \( ! -name CMakeFiles \) -type f \( -iname "*.c" -o -iname "*.h" \) \( ! -iname "win32*" \) \( ! -iname "cocoa*" \)
 ) include/GL/glfw3.h

%install
make %{?_smp_mflags} install PREFIX=%{_prefix} LIBDIR=%{_lib} DESTDIR=%{buildroot}
rm -fr %{buildroot}%{_docdir}/%{name}-%{version}.0

# install geany tags
install -d %{buildroot}/%{_datadir}/geany/tags/
install -m0644 glfw.c.tags %{buildroot}/%{_datadir}/geany/tags/

%post   -p  /sbin/ldconfig
%postun -p  /sbin/ldconfig

%files
%doc readme.html COPYING.txt
%{_libdir}/libglfw.so.3.0
%{_libdir}/libglfw.so.3

%files devel
%{_includedir}/GL/glfw3.h
%{_includedir}/GL/glfw3native.h
%{_libdir}/libglfw.so
%{_libdir}/pkgconfig/glfw3.pc
%{_datadir}/geany/tags/glfw.c.tags

%changelog
* Wed Sep 26 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 3.0-0.7.20120812gita9ed5b1
- Fix both release/version format

* Fri Sep 21 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 3.0-6
- use %%{_prefix} instead of /usr
- remove this (debug?) line

* Fri Sep 21 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 3.0-5
- fix spec file

* Mon Aug 13 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 3.0-4
- update ti latest rev #a9ed5b1

* Mon Aug 13 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 3.0-3
- rebuilt

* Sat Aug 11 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 3.0-2
- Update and Fix glfw3

* Wed Apr 18 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 3.0.0-1
- Initial release
